<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net9.0</TargetFramework>
        <Nullable>enable</Nullable>
        <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
        <ApplicationIcon>Resources/LOLRLCG.ico</ApplicationIcon>
        <ApplicationManifest>app.manifest</ApplicationManifest>
        <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
    </PropertyGroup>

    <ItemGroup>
        <Folder Include="Models\"/>
        <AvaloniaResource Include="Assets\**"/>
        <None Remove="Resources\LOLRLCG.ico" />
        <AvaloniaResource Include="Resources\LOLRLCG.ico">
          <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </AvaloniaResource>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Avalonia" Version="11.1.0"/>
        <PackageReference Include="Avalonia.Desktop" Version="11.1.0"/>
        <PackageReference Include="Avalonia.Themes.Fluent" Version="11.1.0"/>
        <PackageReference Include="Avalonia.Fonts.Inter" Version="11.1.0"/>
        <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
        <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.1.0"/>
        <PackageReference Include="CommunityToolkit.Mvvm" Version="8.2.1"/>
    </ItemGroup>

    <ItemGroup>
      <None Remove="Resources\background.png" />
      <AvaloniaResource Include="Resources\background.png">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </AvaloniaResource>
    </ItemGroup>
</Project>
